Name:          librasqal
Version:       0.9.32
Release:       1mamba
Summary:       A library that handles Resource Description Framework (RDF) query syntaxes and more
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://librdf.org/rasqal/
Source:        http://download.librdf.org/source/rasqal-%{version}.tar.gz
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-buildroot
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libmpfr-devel
BuildRequires: libraptor2-devel
## AUTOBUILDREQ-END

%description
Rasqal is a free software / Open Source C library that handles Resource Description Framework (RDF) query syntaxes, query construction and query execution returning result bindings. The supported query languages are RDQL and SPARQL.
Rasqal was designed to work closely with the Redland RDF library but is entirely separate.
It is intended to be a portable library working across many POSIX systems (Unix, GNU/Linux, BSDs, OSX, cygwin) win32 and others. 

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{version}

%description devel
Rasqal is a free software / Open Source C library that handles Resource Description Framework (RDF) query syntaxes, query construction and query execution returning result bindings. The supported query languages are RDQL and SPARQL.
Rasqal was designed to work closely with the Redland RDF library but is entirely separate.
It is intended to be a portable library working across many POSIX systems (Unix, GNU/Linux, BSDs, OSX, cygwin) win32 and others. 

This package contains static libraries and header files need for development.

%package apidocs
Summary:       Rasqal API documentation
Group:         Documentation
Requires:      gtk-doc

%description apidocs
Rasqal API documentation.

%prep
%setup -q -n rasqal-%{version}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README README.html

%files devel
%defattr(-,root,root)
%{_bindir}/rasqal-config
%{_bindir}/roqet
%dir %{_includedir}/rasqal
%{_includedir}/rasqal/rasqal.h
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man1/rasqal-config.*
%{_mandir}/man1/roqet.*
%{_mandir}/man3/librasqal.*

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/rasqal
%{_datadir}/gtk-doc/html/rasqal/*

%changelog
* Sun Mar 02 2014 Automatic Build System <autodist@mambasoft.it> 0.9.32-1mamba
- automatic version update by autodist

* Mon Dec 16 2013 Automatic Build System <autodist@mambasoft.it> 0.9.31-1mamba
- automatic update by autodist

* Sat Feb 02 2013 Automatic Build System <autodist@mambasoft.it> 0.9.30-1mamba
- automatic version update by autodist

* Sat Dec 08 2012 Automatic Build System <autodist@mambasoft.it> 0.9.29-1mamba
- update to 0.9.29

* Thu Aug 04 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.26-1mamba
- update to 0.9.26

* Wed Jul 14 2010 Automatic Build System <autodist@mambasoft.it> 0.9.19-3mamba
- automatic rebuild by autodist

* Mon Jul 12 2010 Automatic Build System <autodist@mambasoft.it> 0.9.19-2mamba
- automatic rebuild by autodist

* Tue Jun 29 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.19-1mamba
- update to 0.9.19

* Fri May 07 2010 Automatic Build System <autodist@mambasoft.it> 0.9.18-1mamba
- automatic update by autodist

* Wed Nov 04 2009 Davide Madrisan <davide.madrisan@gmail.com> 0.9.16-2mamba
- created subpackage apidocs

* Fri Aug 22 2008 gil <puntogil@libero.it> 0.9.16-1mamba
- update to 0.9.16

* Mon Apr 07 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.15-1mamba
- update to 0.9.15

* Sat Feb 19 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.6-1qilnx
- package created by autospec
